%define name abuse_sdl
%define version 0.6.1
%define release 1mdk

Summary: The classic Crack-Dot-Com game
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.labyrinth.net.au/~trandor/files/%{name}-%{version}.tar.bz2
Source1: fRaBs210.tar.bz2
License: GPL
Group: Games/Adventure
URL: http://www.labyrinth.net.au/~trandor/abuse/
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}

%description
Abuse-SDL is a port of Abuse, the classic Crack-Dot-Com game, to the
SDL library. It can run at any color depth, in a window or fullscreen,
and it has stereo sound with sound panning.

%prep
%setup

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall


mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="abuse" \
		  icon=%{name}.png \
		  needs="x11" \
		  section="Amusement/Arcade" \
		  title="Abuse"\
		  longtitle="The classic Crack-Dot-Com game"
EOF

mkdir -p $RPM_BUILD_ROOT%{_iconsdir} $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
convert abuse.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -size 48x48 abuse.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -size 16x16 abuse.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/abuse $RPM_BUILD_ROOT%{_libdir}/abuse
mv $RPM_BUILD_ROOT%{_bindir}/abuse.sdl $RPM_BUILD_ROOT%{_libdir}/abuse
cat > $RPM_BUILD_ROOT%{_bindir}/abuse << EOF
#!/bin/sh
cd %{_datadir}/abuse/fRaBs210
exec %{_libdir}/abuse/abuse.sdl "\$@"
EOF
chmod +x $RPM_BUILD_ROOT%{_bindir}/abuse
cd $RPM_BUILD_ROOT%{_datadir}/abuse
bzcat %{SOURCE1} | tar xf -
rm -f *.exe *.386
for f in `find . -type f`; do
	dir=`dirname $f`
	base=`basename $f`
	new=$dir/`echo $base | tr [A-Z] [a-z]`
	if [ $new != $f ]; then
		mv $f $new
	fi
done

cd */addon/leon
ln -s lmisc.spe Lmisc.spe

cd sfx
ln -s ambship1.wav Ambship1.wav
ln -s ambship2.wav Ambship2.wav

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc AUTHORS README TODO
%{_bindir}/*
%{_menudir}/%{name}
%{_libdir}/abuse
%{_datadir}/abuse
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%changelog
* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.6.0-2mdk
- xpm -> png icons

* Tue Jan 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Thu Oct 25 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-1mdk
- 0.5.0

* Fri Jul 27 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-3mdk
- rebuild for new SDL

* Thu May  3 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-2mdk
- corrected badly lowercased files

* Tue May  1 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.4.8-1mdk
- first version

# end of file
